{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "PAGE.CAPTION.TEST.PLUGINEDITVIEW"
  },
  "caption" : "插件测试编辑视图",
  "codeName" : "TESTPluginEditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTPluginEditView.json",
  "name" : "TESTPluginEditView",
  "openMode" : "POPOVER",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "PluginEditViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "插件测试编辑视图_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.SAVE"
      },
      "caption" : "保存（插件）",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSSysPFPlugin" : {
        "pluginType" : "CUSTOM",
        "pluginCode" : "PluginTest1"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE"
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存（插件）",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.SAVE"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "登出（插件）",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "登出（插件）",
        "codeName" : "logout_plugin",
        "fullCodeName" : "logout_plugin",
        "name" : "登出（插件）",
        "getPSSysPFPlugin" : {
          "pluginType" : "DEUIACTION",
          "pluginCode" : "CUSTOM"
        },
        "predefinedType" : "APP_LOGOUT",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "logout_plugin",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "登出（插件）",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "DEFAULT",
      "caption" : "默认按钮",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "默认按钮",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction3_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction3_click",
        "name" : "默认按钮",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction3_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction3_click@TEST"
      },
      "tooltip" : "默认按钮",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "INVERSE",
      "caption" : "反向按钮",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction4",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction4"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "反向按钮",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction4_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction4_click",
        "name" : "反向按钮",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction4_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction4_click@TEST"
      },
      "tooltip" : "反向按钮",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "PRIMARY",
      "caption" : "主要按钮",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction5"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "主要按钮",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction5_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction5_click",
        "name" : "主要按钮",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction5_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction5_click@TEST"
      },
      "tooltip" : "主要按钮",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "SUCCESS",
      "caption" : "成功按钮",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction7",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction7"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "成功按钮",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction7_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction7_click",
        "name" : "成功按钮",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction7_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction7_click@TEST"
      },
      "tooltip" : "成功按钮",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "WARNING",
      "caption" : "警告按钮",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction8",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction8"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "警告按钮",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction8_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction8_click",
        "name" : "警告按钮",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction8_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction8_click@TEST"
      },
      "tooltip" : "警告按钮",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "DANGER",
      "caption" : "危险按钮",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction9",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction9"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "危险按钮",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction9_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction9_click",
        "name" : "危险按钮",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction9_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction9_click@TEST"
      },
      "tooltip" : "危险按钮",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "INFO",
      "caption" : "信息按钮",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction6",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction6"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "信息按钮",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction6_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction6_click",
        "name" : "信息按钮",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction6_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction6_click@TEST"
      },
      "tooltip" : "信息按钮",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "STYLE2",
      "caption" : "样式2",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction10",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction10"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "样式2",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction10_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction10_click",
        "name" : "样式2",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction10_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction10_click@TEST"
      },
      "tooltip" : "样式2",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "STYLE3",
      "caption" : "样式3",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction11",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction11"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "样式3",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction11_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction11_click",
        "name" : "样式3",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction11_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction11_click@TEST"
      },
      "tooltip" : "样式3",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "STYLE4",
      "caption" : "样式4",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction12",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction12"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "样式4",
        "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction12_click",
        "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction12_click",
        "name" : "样式4",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "CUSTOM",
        "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction12_click",
        "uIActionType" : "DEUIACTION",
        "id" : "toolbar_PluginEditViewtoolbar_deuiaction12_click@TEST"
      },
      "tooltip" : "样式4",
      "uIActionTarget" : "NONE",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "按钮分组",
      "itemType" : "ITEMS",
      "name" : "items1",
      "getPSDEToolbarItems" : [ {
        "buttonStyle" : "SUCCESS",
        "caption" : "成功按钮",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction13",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_deuiaction13"
        },
        "getPSUIAction" : {
          "actionTarget" : "NONE",
          "caption" : "成功按钮",
          "codeName" : "toolbar_PluginEditViewtoolbar_deuiaction13_click",
          "fullCodeName" : "TEST_toolbar_PluginEditViewtoolbar_deuiaction13_click",
          "name" : "成功按钮",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "timeout" : 60000,
          "uIActionMode" : "CUSTOM",
          "uIActionTag" : "toolbar_PluginEditViewtoolbar_deuiaction13_click",
          "uIActionType" : "DEUIACTION",
          "id" : "toolbar_PluginEditViewtoolbar_deuiaction13_click@TEST"
        },
        "tooltip" : "成功按钮",
        "uIActionTarget" : "NONE",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "tooltip" : "按钮分组",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "form",
    "modelid" : "EE888DED-A9EA-45B2-8E40-2C76F29FE01B",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "PluginEditView_Form",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/PluginEditView_Form.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom",
      "actionName" : "GETDRAFTFROM",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraftfrom",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft",
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "logicName" : "插件测试编辑视图_表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "testname",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "createman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "id" : "createdate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "id" : "updateman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "updatedate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "testid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.TEST.PLUGINEDITVIEW_FORM.FORMPAGE.FORMPAGE1"
      },
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.TEST.PLUGINEDITVIEW_FORM.GROUPPANEL.GROUP1"
        },
        "caption" : "测试实体基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.TESTNAME"
          },
          "caption" : "测试实体名称",
          "codeName" : "testname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "testname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "getPSEditor" : {
            "editorStyle" : "textStyle1",
            "editorType" : "TEXTBOX",
            "maxLength" : 50,
            "minLength" : 3,
            "name" : "testname",
            "getPSSysPFPlugin" : {
              "pluginType" : "EDITOR_CUSTOMSTYLE",
              "pluginCode" : "editorPlugin"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.TESTID"
        },
        "caption" : "测试实体标识",
        "codeName" : "testid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "testid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "testid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.TEST.PLUGINEDITVIEW_FORM.FORMPAGE.FORMPAGE2"
      },
      "caption" : "其它",
      "codeName" : "formpage2",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage2",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.TEST.PLUGINEDITVIEW_FORM.GROUPPANEL.GROUP2"
        },
        "caption" : "操作信息",
        "codeName" : "group2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group2",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.CREATEMAN"
          },
          "caption" : "建立人",
          "codeName" : "createman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.CREATEDATE"
          },
          "caption" : "建立时间",
          "codeName" : "createdate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createdate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createdate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEMAN"
          },
          "caption" : "更新人",
          "codeName" : "updateman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updateman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEDATE"
          },
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updatedate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getPSSysPFPlugin" : {
      "pluginType" : "EDITFORM_RENDER",
      "pluginCode" : "FormPlugin"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "noTabHeader" : false,
    "name" : "form",
    "modelid" : "52CE1BDB-4F98-4AA4-B5C5-8730BB8EC50D",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "PluginEditViewdatainfobar",
    "controlType" : "DATAINFOBAR",
    "name" : "datainfobar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "datainfobar"
    }
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "PAGE.CAPTION.TEST.PLUGINEDITVIEW"
    },
    "caption" : "插件测试编辑视图",
    "codeName" : "PluginEditViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "PluginEditView",
  "getPSDEViewId" : "FC79C914-0AB9-48AE-B5A2-5331585C5C81",
  "getPSSysPFPlugin" : {
    "pluginType" : "VIEW_CUSTOM",
    "pluginCode" : "viewPlugin"
  },
  "getPSViewLayoutPanel" : {
    "codeName" : "PluginEditLayout",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "插件测试编辑布局",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "工具栏",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "toolbar",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ],
      "getPSSysPFPlugin" : {
        "pluginType" : "CUSTOM",
        "pluginCode" : "PluginTest1"
      }
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container1",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "表单",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "form",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ]
    }, {
      "actionType" : "NONE",
      "buttonStyle" : "INVERSE",
      "caption" : "测试",
      "itemStyle" : "INVERSE",
      "itemType" : "BUTTON",
      "name" : "button_calluilogic",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "tooltip" : "测试",
      "uIActionTarget" : "NONE",
      "showCaption" : true
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "DC9434A0-FCED-4AB1-836A-038E030F89BE",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "title" : "插件测试编辑视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.TEST.PLUGINEDITVIEW"
  },
  "viewStyle" : "viewStyle",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "01A56645-5E5A-4B1D-BD58-B38EFA7DCBD9",
  "modeltype" : "PSAPPDEVIEW"
}